<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        class Human {
            constructor() {
                this.name;
                this.surname;
                this.age;
                this.db;
                this.country;
            }

            countObject = function () {
		        Human.count += 1;
	        };

            inputInfo = function () {
                this.name = prompt("Имя: ");
                this.surname = prompt("Фамилия: ");
                this.age = parseInt(prompt("Твой возраст: "));
                this.db = prompt("Дата рождения: ");
                this.country = prompt("Страна проживания: ");
            };

            outputInfo = function () {
                document.write(`Меня звать ${this.name}, моя фамилия: ${this.surname}.<br>`);
                document.write(`Я родился ${this.db}, мне ${this.age}, я живу в ${this.country}.<br>`);
            }
        }

        const objectF = new Human();
        objectF.inputInfo();
        objectF.outputInfo();
        console.log(Human.count);


        const objectS = new Human();
        objectS.inputInfo();
        objectS.outputInfo();
        console.log(Human.count);

        /*
        Разработайте функцию-конструкто, которая будет создавать обьект Human(человек). 
        Создайте массив обьектов и реализуйте функцию, которая будет сортировать элементы массива по значению свойств Age по возрастанию или по убыванию. 
        */

        const arrHummans = [objectF, objectS];
        arrHummans.sort((a, b) => a.age - b.age);
    
        document.write('<hr>');

        document.write("<b>Объекты отсортированы по возрастанию возраста:</b> <br>")
        let i = 1;
        for (item of arrHummans) {
            document.write(`Объект ${i}: Имя: ${item.name} фамилия: ${item.surname}, страна проживание: ${item.country}, возраст: ${item.age}, дата рождение: ${item.db} <br>`);
            i++;
        }

        document.write('<hr>');
        arrHummans.reverse();

        document.write("<b>Объекты отсортированы по убыванию возраста:</b> <br>")
        i = 1;
        for (item of arrHummans) {
            document.write(`Объект ${i}: Имя: ${item.name} фамилия: ${item.surname}, страна проживание: ${item.country}, возраст: ${item.age}, дата рождение: ${item.db} <br>`);
            i++;
        }

    </script>
</body>
</html>
